Index: t3lib/class.t3lib_tsparser_ext.php
===================================================================
--- t3lib/class.t3lib_tsparser_ext.php	(revision 9100)
+++ t3lib/class.t3lib_tsparser_ext.php	(revision )
@@ -1127,231 +1140,271 @@
 	 * @param	[type]		$category: ...
 	 * @return	[type]		...
 	 */
-	function ext_printFields($theConstants,$category)	{
+	function ext_printFields($theConstants, $category) {
 		reset($theConstants);
-		$output='<script type="text/javascript" src="'.$GLOBALS['BACK_PATH'].'js/constantEditor.js"></script>
+		$output = '<script type="text/javascript" src="' . $GLOBALS['BACK_PATH'] . 'js/constantEditor.js"></script>
 		';
-		$subcat='';
+		$subcat = '';
-		if (is_array($this->categories[$category]))	{
+		if (is_array($this->categories[$category])) {
 
-			$help=$this->helpConfig;
+			$help = $this->helpConfig;
-			$this->rArr=explode(',',$this->setup['resources'].','.implode($this->dirResources,','));
+			$this->rArr = explode(',', $this->setup['resources'] . ',' . implode($this->dirResources, ','));
 
-			if (!$this->doNotSortCategoriesBeforeMakingForm) asort($this->categories[$category]);
+			if (!$this->doNotSortCategoriesBeforeMakingForm) {
+				asort($this->categories[$category]);
+			}
 			foreach ($this->categories[$category] as $name => $type) {
 				$params = $theConstants[$name];
-				if (is_array($params))	{
+				if (is_array($params)) {
-					if ($subcat!=$params['subcat_name'])	{
+					if ($subcat != $params['subcat_name']) {
-						$subcat=$params['subcat_name'];
+						$subcat = $params['subcat_name'];
 						$subcat_name = $params['subcat_name'] ? $this->subCategories[$params['subcat_name']][0] : 'Others';
 
-						$output.='<h2 class="typo3-tstemplate-ceditor-subcat">'.$subcat_name.'</h2>';
+						$output .= '<h2 class="typo3-tstemplate-ceditor-subcat">' . $subcat_name . '</h2>';
 					}
 
-					$label=$GLOBALS['LANG']->sL($params['label']);
+					$label = $GLOBALS['LANG']->sL($params['label']);
-					$label_parts = explode(':',$label,2);
+					$label_parts = explode(':', $label, 2);
-					if (count($label_parts)==2)	{
+					if (count($label_parts) == 2) {
-						$head=trim($label_parts[0]);
+						$head = trim($label_parts[0]);
-						$body=trim($label_parts[1]);
+						$body = trim($label_parts[1]);
 					} else {
-						$head=trim($label_parts[0]);
+						$head = trim($label_parts[0]);
-						$body='';
+						$body = '';
 					}
-					if (strlen($head)>35)	{
+					if (strlen($head) > 35) {
-						if (!$body) {$body=$head;}
+						if (!$body) {
+							$body = $head;
+						}
-						$head=t3lib_div::fixed_lgd_cs($head,35);
+						$head = t3lib_div::fixed_lgd_cs($head, 35);
 					}
-					$typeDat=$this->ext_getTypeData($params['type']);
+					$typeDat = $this->ext_getTypeData($params['type']);
-					$checked='';
+					$checked = '';
-					$p_field='';
+					$p_field = '';
-					$raname = substr(md5($params['name']),0,10);
+					$raname = substr(md5($params['name']), 0, 10);
-					$aname='\''.$raname.'\'';
+					$aname = '\'' . $raname . '\'';
 
-					list($fN,$fV,$params)=$this->ext_fNandV($params);
+					list($fN, $fV, $params) = $this->ext_fNandV($params);
 
-					switch($typeDat['type'])	{
+					switch ($typeDat['type']) {
 						case 'int':
 						case 'int+':
-							$p_field='<input id="'.$fN.'" type="text" name="'.$fN.'" value="'.$fV.'"'.$GLOBALS['TBE_TEMPLATE']->formWidth(5).' onChange="uFormUrl('.$aname.')" />';
+							$p_field = '<input id="' . $fN . '" type="text" name="' . $fN . '" value="' . $fV . '"' .
+									   $GLOBALS['TBE_TEMPLATE']->formWidth(5) . ' onChange="uFormUrl(' . $aname . ')" />';
-							if ($typeDat['paramstr'])	{
+							if ($typeDat['paramstr']) {
-								$p_field.=' Range: '.$typeDat['paramstr'];
+								$p_field .= ' Range: ' . $typeDat['paramstr'];
-							} elseif ($typeDat['type']=='int+') {
+							} elseif ($typeDat['type'] == 'int+') {
-								$p_field.=' Range: 0 - ';
+								$p_field .= ' Range: 0 - ';
 							} else {
-								$p_field.=' (Integer)';
+								$p_field .= ' (Integer)';
 							}
 						break;
 						case 'color':
-							$colorNames=explode(',',','.$this->HTMLcolorList);
+							$colorNames = explode(',', ',' . $this->HTMLcolorList);
-							$p_field='';
+							$p_field = '';
 							foreach ($colorNames as $val) {
-								$sel='';
+								$sel = '';
-								if ($val==strtolower($params['value'])) {
+								if ($val == strtolower($params['value'])) {
 									$sel = ' selected';
 								}
-								$p_field.='<option value="'.htmlspecialchars($val).'"'.$sel.'>'.$val.'</option>';
+								$p_field .= '<option value="' . htmlspecialchars($val) . '"' . $sel . '>' . $val . '</option>';
 							}
-							$p_field='<select id="select-'.$fN.'" rel="'.$fN.'" name="C'.$fN.'" class="typo3-tstemplate-ceditor-color-select" onChange="uFormUrl('.$aname.');">'.$p_field.'</select>';
+							$p_field = '<select id="select-' . $fN . '" rel="' . $fN . '" name="C' . $fN .
+									   '" class="typo3-tstemplate-ceditor-color-select" onChange="uFormUrl(' .
+									   $aname . ');">' . $p_field . '</select>';
 
-							$p_field.='<input type="text" id="input-'.$fN.'" rel="'.$fN.'" name="'.$fN.'" class="typo3-tstemplate-ceditor-color-input" value="'.$fV.'"'.$GLOBALS['TBE_TEMPLATE']->formWidth(7).' onChange="uFormUrl('.$aname.')" />';
+							$p_field .= '<input type="text" id="input-' . $fN . '" rel="' . $fN . '" name="' . $fN .
+										'" class="typo3-tstemplate-ceditor-color-input" value="' . $fV . '"' .
+										$GLOBALS['TBE_TEMPLATE']->formWidth(7) . ' onChange="uFormUrl(' . $aname . ')" />';
 						break;
 						case 'wrap':
-							$wArr = explode('|',$fV);
+							$wArr = explode('|', $fV);
-							$p_field='<input type="text" id="'.$fN.'" name="'.$fN.'" value="'.$wArr[0].'"'.$GLOBALS['TBE_TEMPLATE']->formWidth(29).' onChange="uFormUrl('.$aname.')" />';
+							$p_field = '<input type="text" id="' . $fN . '" name="' . $fN . '" value="' . $wArr[0] . '"' .
+									   $GLOBALS['TBE_TEMPLATE']->formWidth(29) . ' onChange="uFormUrl(' . $aname . ')" />';
-							$p_field.=' | ';
+							$p_field .= ' | ';
-							$p_field.='<input type="text" name="W'.$fN.'" value="'.$wArr[1].'"'.$GLOBALS['TBE_TEMPLATE']->formWidth(15).' onChange="uFormUrl('.$aname.')" />';
+							$p_field .= '<input type="text" name="W' . $fN . '" value="' . $wArr[1] . '"' .
+										$GLOBALS['TBE_TEMPLATE']->formWidth(15) . ' onChange="uFormUrl(' . $aname . ')" />';
 						break;
 						case 'offset':
-							$wArr = explode(',',$fV);
+							$wArr = explode(',', $fV);
-							$labels = t3lib_div::trimExplode(',',$typeDat['paramstr']);
+							$labels = t3lib_div::trimExplode(',', $typeDat['paramstr']);
-							$p_field=($labels[0]?$labels[0]:'x').':<input type="text" name="'.$fN.'" value="'.$wArr[0].'"'.$GLOBALS['TBE_TEMPLATE']->formWidth(4).' onChange="uFormUrl('.$aname.')" />';
+							$p_field = ($labels[0] ? $labels[0] : 'x') . ':<input type="text" name="' . $fN . '" value="' . $wArr[0] . '"' .
+									   $GLOBALS['TBE_TEMPLATE']->formWidth(4) . ' onChange="uFormUrl(' . $aname . ')" />';
-							$p_field.=' , ';
+							$p_field .= ' , ';
-							$p_field.=($labels[1]?$labels[1]:'y').':<input type="text" name="W'.$fN.'" value="'.$wArr[1].'"'.$GLOBALS['TBE_TEMPLATE']->formWidth(4).' onChange="uFormUrl('.$aname.')" />';
+							$p_field .= ($labels[1] ? $labels[1] : 'y') . ':<input type="text" name="W' . $fN . '" value="' . $wArr[1] . '"' .
+										$GLOBALS['TBE_TEMPLATE']->formWidth(4) . ' onChange="uFormUrl(' . $aname . ')" />';
-							for ($aa=2;$aa<count($labels);$aa++)	{
+							for ($aa = 2; $aa < count($labels); $aa++) {
-								if ($labels[$aa])	{
+								if ($labels[$aa]) {
-									$p_field.=' , '.$labels[$aa].':<input type="text" name="W'.$aa.$fN.'" value="'.$wArr[$aa].'"'.$GLOBALS['TBE_TEMPLATE']->formWidth(4).' onChange="uFormUrl('.$aname.')" />';
+									$p_field .= ' , ' . $labels[$aa] . ':<input type="text" name="W' . $aa . $fN . '" value="' . $wArr[$aa] . '"' .
+												$GLOBALS['TBE_TEMPLATE']->formWidth(4) . ' onChange="uFormUrl(' . $aname . ')" />';
 								} else {
-									$p_field.='<input type="hidden" name="W'.$aa.$fN.'" value="'.$wArr[$aa].'" />';
+									$p_field .= '<input type="hidden" name="W' . $aa . $fN . '" value="' . $wArr[$aa] . '" />';
 								}
 							}
 						break;
 						case 'options':
-							if (is_array($typeDat['params']))	{
+							if (is_array($typeDat['params'])) {
-								$p_field='';
+								$p_field = '';
 								foreach ($typeDat['params'] as $val) {
-									$vParts = explode('=',$val,2);
+									$vParts = explode('=', $val, 2);
 									$label = $vParts[0];
 									$val = isset($vParts[1]) ? $vParts[1] : $vParts[0];
 
-									// option tag:
+										// option tag:
-									$sel='';
+									$sel = '';
-									if ($val==$params['value'])	{
+									if ($val == $params['value']) {
-										$sel=' selected';
+										$sel = ' selected';
 									}
-									$p_field.='<option value="'.htmlspecialchars($val).'"'.$sel.'>'.$GLOBALS['LANG']->sL($label).'</option>';
+									$p_field .= '<option value="' . htmlspecialchars($val) . '"' . $sel . '>' . $GLOBALS['LANG']->sL($label) . '</option>';
 								}
-								$p_field='<select id="'.$fN.'" name="'.$fN.'" onChange="uFormUrl('.$aname.')">'.$p_field.'</select>';
+								$p_field = '<select id="' . $fN . '" name="' . $fN . '" onChange="uFormUrl(' . $aname . ')">' . $p_field . '</select>';
 							}
 						break;
 						case 'boolean':
-							$p_field='<input type="hidden" name="'.$fN.'" value="0" />';
+							$p_field = '<input type="hidden" name="' . $fN . '" value="0" />';
-							$sel='';
+							$sel = '';
-							if ($fV)	{
+							if ($fV) {
-								$sel=' checked';
+								$sel = ' checked';
 							}
-							$p_field.='<input id="'.$fN.'" type="checkbox" name="'.$fN.'" value="'.($typeDat['paramstr']?$typeDat['paramstr']:1).'"'.$sel.' onClick="uFormUrl('.$aname.')" />';
+							$p_field .= '<input id="' . $fN . '" type="checkbox" name="' . $fN . '" value="' . ($typeDat['paramstr'] ? $typeDat['paramstr'] : 1) .
+										'"' . $sel . ' onClick="uFormUrl(' . $aname . ')" />';
 						break;
 						case 'comment':
-							$p_field='<input type="hidden" name="'.$fN.'" value="#" />';
+							$p_field = '<input type="hidden" name="' . $fN . '" value="#" />';
-							$sel='';
+							$sel = '';
-							if (!$fV)	{
+							if (!$fV) {
-								$sel=' checked';
+								$sel = ' checked';
 							}
-							$p_field.='<input id="'.$fN.'" type="checkbox" name="'.$fN.'" value=""'.$sel.' onClick="uFormUrl('.$aname.')" />';
+							$p_field .= '<input id="' . $fN . '" type="checkbox" name="' . $fN . '" value=""' . $sel . ' onClick="uFormUrl(' . $aname . ')" />';
 						break;
 						case 'file':
-							$p_field='<option value=""></option>';
+							$p_field = '<option value=""></option>';
-							$theImage='';
+							$theImage = '';
-							$selectThisFile = $this->extractFromResources($this->setup['resources'],$params['value']);
+							$selectThisFile = $this->extractFromResources($this->setup['resources'], $params['value']);
-							if ($params['value'] && !$selectThisFile)	{
+							if ($params['value'] && !$selectThisFile) {
-								if (in_array($params['value'],$this->dirResources))	{
+								if (in_array($params['value'], $this->dirResources)) {
-									$selectThisFile=$params['value'];
+									$selectThisFile = $params['value'];
 								}
 							}
-							// extensionlist
+								// extensionlist
 							$extList = $typeDat['paramstr'];
-							$p_field='<option value="">('.$extList.')</option>';
+							$p_field = '<option value="">(' . $extList . ')</option>';
-							if ($extList=='IMAGE_EXT')	{
+							if ($extList == 'IMAGE_EXT') {
 								$extList = $GLOBALS['TYPO3_CONF_VARS']['GFX']['imagefile_ext'];
 							}
 							reset($this->rArr);
-							$onlineResourceFlag=$this->ext_defaultOnlineResourceFlag;
+							$onlineResourceFlag = $this->ext_defaultOnlineResourceFlag;
 
 							foreach ($this->rArr as $c => $val) {
-								$val=trim($val);
+								$val = trim($val);
-								$fI=t3lib_div::split_fileref($val);
+								$fI = t3lib_div::split_fileref($val);
-								if ($val && (!$extList || t3lib_div::inList($extList,$fI['fileext'])))	{
+								if ($val && (!$extList || t3lib_div::inList($extList, $fI['fileext']))) {
 									if ($onlineResourceFlag <= 0 && strstr($fI['path'], $GLOBALS['TYPO3_CONF_VARS']['BE']['fileadminDir'])) {
-										if ($onlineResourceFlag<0)	{
+										if ($onlineResourceFlag < 0) {
-											$p_field.='<option value=""></option>';
+											$p_field .= '<option value=""></option>';
 										}
-										$p_field.='<option value="">__'.$fI['path'].'__:</option>';
+										$p_field .= '<option value="">__' . $fI['path'] . '__:</option>';
-										$onlineResourceFlag=1;
+										$onlineResourceFlag = 1;
 									}
-									$dims=$this->resourceDimensions[$val];
+									$dims = $this->resourceDimensions[$val];
-									$sel='';
+									$sel = '';
 
-									// Check if $params['value'] is in the list of resources.
+										// Check if $params['value'] is in the list of resources.
-									if ($selectThisFile && $selectThisFile==$val)	{
+									if ($selectThisFile && $selectThisFile == $val) {
-										$sel=' selected';
+										$sel = ' selected';
-										if ($onlineResourceFlag<=0)	{
+										if ($onlineResourceFlag <= 0) {
-											$theImage=t3lib_BEfunc::thumbCode(array('resources'=>$selectThisFile),'sys_template','resources',$GLOBALS['BACK_PATH'],'');
+											$theImage = t3lib_BEfunc::thumbCode(
+												array(
+													 'resources' => $selectThisFile
+												),
+												'sys_template',
+												'resources',
+												$GLOBALS['BACK_PATH'],
+												''
+											);
 										} else {
-											$theImage=t3lib_BEfunc::thumbCode(array('resources'=>$fI['file']),'sys_template','resources',$GLOBALS['BACK_PATH'],'',$fI['path']);
+											$theImage = t3lib_BEfunc::thumbCode(
+												array(
+													 'resources' => $fI['file']
+												),
+												'sys_template',
+												'resources',
+												$GLOBALS['BACK_PATH'],
+												'',
+												$fI['path']
+											);
 										}
 									}
 
-									if ($onlineResourceFlag<=0)	{
+									if ($onlineResourceFlag <= 0) {
 										$onlineResourceFlag--;
-										// Value is set with a *
+											// Value is set with a *
 										$val = $this->ext_setStar($val);
-										$p_field.='<option value="'.htmlspecialchars($val).'"'.$sel.'>'.$val.$dims.'</option>';
+										$p_field .= '<option value="' . htmlspecialchars($val) . '"' . $sel . '>' . $val . $dims . '</option>';
 									} else {
-										$p_field.='<option value="'.htmlspecialchars($val).'"'.$sel.'>'.$fI['file'].$dims.'</option>';
+										$p_field .= '<option value="' . htmlspecialchars($val) . '"' . $sel . '>' . $fI['file'] . $dims . '</option>';
 									}
 								}
 							}
 
-							if (trim($params['value']) && !$selectThisFile)	{
+							if (trim($params['value']) && !$selectThisFile) {
 								$val = $params['value'];
-								$p_field.='<option value=""></option>';
+								$p_field .= '<option value=""></option>';
-								$p_field.='<option value="'.htmlspecialchars($val).'" selected>'.$val.'</option>';
+								$p_field .= '<option value="' . htmlspecialchars($val) . '" selected>' . $val . '</option>';
 							}
 
-							$p_field='<select id="'.$fN.'" name="'.$fN.'" onChange="uFormUrl('.$aname.')">'.$p_field.'</select>';
+							$p_field = '<select id="' . $fN . '" name="' . $fN . '" onChange="uFormUrl(' . $aname . ')">' . $p_field . '</select>';
-							$p_field.=$theImage;
+							$p_field .= $theImage;
 
-							if (!$this->ext_noCEUploadAndCopying)	{
+							if (!$this->ext_noCEUploadAndCopying) {
-								// Copy a resource
+									// Copy a resource
-								$copyFile = $this->extractFromResources($this->setup['resources'],$params['value']);
+								$copyFile = $this->extractFromResources($this->setup['resources'], $params['value']);
-								if (!$copyFile)	{
+								if (!$copyFile) {
-									if ($params['value'])	{
+									if ($params['value']) {
-										$copyFile=PATH_site.$this->ext_detectAndFixExtensionPrefix($params['value']);
+										$copyFile = PATH_site . $this->ext_detectAndFixExtensionPrefix($params['value']);
 									}
 								} else {
-									$copyFile='';
+									$copyFile = '';
 								}
 
-								if ($copyFile && @is_file($copyFile))	{
+								if ($copyFile && @is_file($copyFile)) {
-									$p_field .= '<img src="clear.gif" width="20" ' . 'height="1" alt="" />' . t3lib_iconWorks::getSpriteIcon('actions-edit-copy') . '<input type="checkbox" ' . 'name="_copyResource[' . $params['name'] . ']" value="' . htmlspecialchars($copyFile) . '" onclick="uFormUrl(' . $aname . ');if (this.checked && !confirm(\'' . t3lib_div::slashJS(htmlspecialchars(sprintf($GLOBALS['LANG']->sL('LLL:EXT:lang/locallang_tsparser.xml:tsparser_ext.make_copy'), $params['value']))) . '\')) this.checked=false;" />';
+									$p_field .= '<img src="clear.gif" width="20" ' . 'height="1" alt="" />' .
+												t3lib_iconWorks::getSpriteIcon('actions-edit-copy') . '<input type="checkbox" ' .
+												'name="_copyResource[' . $params['name'] . ']" value="' . htmlspecialchars($copyFile) .
+												'" onclick="uFormUrl(' . $aname . ');if (this.checked && !confirm(\'' .
+												t3lib_div::slashJS(htmlspecialchars(sprintf($GLOBALS['LANG']->sL('LLL:EXT:lang/locallang_tsparser.xml:tsparser_ext.make_copy'), $params['value']))) .
+												'\')) this.checked=false;" />';
 								}
 
-								// Upload?
+									// Upload?
-								$p_field.='<br />';
+								$p_field .= '<br />';
-								$p_field.='<input id="'.$fN.'" type="file" name="upload_'.$fN.'"'.$GLOBALS['TBE_TEMPLATE']->formWidth().' onChange="uFormUrl('.$aname.')" size="50" />';
+								$p_field .= '<input id="' . $fN . '" type="file" name="upload_' . $fN . '"' . $GLOBALS['TBE_TEMPLATE']->formWidth() .
+											' onChange="uFormUrl(' . $aname . ')" size="50" />';
 							}
 						break;
 						case 'user':
-							$userFunction       = $typeDat['paramstr'];
+							$userFunction = $typeDat['paramstr'];
 							$userFunctionParams = array('fieldName' => $fN, 'fieldValue' => $fV);
-							$p_field            = t3lib_div::callUserFunction($userFunction, $userFunctionParams, $this, '');
+							$p_field = t3lib_div::callUserFunction($userFunction, $userFunctionParams, $this, '');
 						break;
 						case 'small':
 						default:
-							$fwidth= $typeDat['type']=='small' ? 10 : 46;
+							$fwidth = $typeDat['type'] == 'small' ? 10 : 46;
-							$p_field='<input id="'.$fN.'" type="text" name="'.$fN.'" value="'.$fV.'"'.$GLOBALS['TBE_TEMPLATE']->formWidth($fwidth).' onChange="uFormUrl('.$aname.')" />';
+							$p_field = '<input id="' . $fN . '" type="text" name="' . $fN . '" value="' . $fV . '"' .
+									   $GLOBALS['TBE_TEMPLATE']->formWidth($fwidth) . ' onChange="uFormUrl(' . $aname . ')" />';
 						break;
 					}
 
-					// Define default names and IDs
+						// Define default names and IDs
-					$userTyposcriptID = 'userTS-'.$params['name'];
+					$userTyposcriptID = 'userTS-' . $params['name'];
-					$defaultTyposcriptID = 'defaultTS-'.$params['name'];
+					$defaultTyposcriptID = 'defaultTS-' . $params['name'];
-					$checkboxName = 'check['.$params['name'].']';
+					$checkboxName = 'check[' . $params['name'] . ']';
 					$checkboxID = $checkboxName;
 
-					// Handle type=color specially
+						// Handle type=color specially
-					if ($typeDat['type']=='color' && substr($params['value'],0,2)!='{$')	{
+					if ($typeDat['type'] == 'color' && substr($params['value'], 0, 2) != '{$') {
-						$color = '<div id="colorbox-'.$fN.'" class="typo3-tstemplate-ceditor-colorblock" style="background-color:'.$params['value'].';">&nbsp;</div>';
+						$color = '<div id="colorbox-' . $fN . '" class="typo3-tstemplate-ceditor-colorblock" style="background-color:' .
+								 $params['value'] . ';">&nbsp;</div>';
 					} else {
 						$color = '';
 					}
@@ -1359,7 +1412,7 @@
 					if (!$this->ext_dontCheckIssetValues) {
 
 						/* Set the default styling options */
-						if(isset($this->objReg[$params['name']])) {
+						if (isset($this->objReg[$params['name']])) {
 							$checkboxValue = 'checked';
 							$userTyposcriptStyle = '';
 							$defaultTyposcriptStyle = 'style="display:none;"';
@@ -1370,27 +1423,47 @@
 						}
 
 
-						$deleteIconHTML = t3lib_iconWorks::getSpriteIcon('actions-edit-undo',array('class'=>"typo3-tstemplate-ceditor-control undoIcon",'alt'=>"Revert to default Constant",'title'=>"Revert to default Constant",'rel'=>$params['name']));
-						$editIconHTML 	= t3lib_iconWorks::getSpriteIcon('actions-document-open',array('class'=>"typo3-tstemplate-ceditor-control editIcon",'alt'=>"Edit this Constant",'title'=>"Edit this Constant",'rel'=>$params['name']));
+						$deleteIconHTML = t3lib_iconWorks::getSpriteIcon(
+							'actions-edit-undo',
+							array(
+								 'class' => "typo3-tstemplate-ceditor-control undoIcon",
+								 'alt' => "Revert to default Constant",
+								 'title' => "Revert to default Constant",
+								 'rel' => $params['name']
+							)
+						);
+						$editIconHTML = t3lib_iconWorks::getSpriteIcon(
+							'actions-document-open',
+							array(
+								 'class' => "typo3-tstemplate-ceditor-control editIcon",
+								 'alt' => "Edit this Constant",
+								 'title' => "Edit this Constant",
+								 'rel' => $params['name']
+							)
+						);
-						$constantCheckbox = '<input type="hidden" name="'.$checkboxName.'" id="'.$checkboxID.'" value="'.$checkboxValue.'"/>';
+						$constantCheckbox = '<input type="hidden" name="' . $checkboxName . '" id="' . $checkboxID . '" value="' . $checkboxValue . '"/>';
 
-						// If there's no default value for the field, use a static label.
+							// If there's no default value for the field, use a static label.
-						if(!$params['default_value']) {
+						if (!$params['default_value']) {
 							$params['default_value'] = '[Empty]';
 						}
 
-						$constantDefaultRow='<div class="typo3-tstemplate-ceditor-row" id="'.$defaultTyposcriptID.'" '.$defaultTyposcriptStyle.'>'.$editIconHTML.htmlspecialchars($params['default_value']).$color.'</div>';
+						$constantDefaultRow = '<div class="typo3-tstemplate-ceditor-row" id="' . $defaultTyposcriptID . '" ' .
+											  $defaultTyposcriptStyle . '>' . $editIconHTML .
+											  htmlspecialchars($params['default_value']) . $color . '</div>';
 					}
 
-					$constantEditRow = '<div class="typo3-tstemplate-ceditor-row" id="'.$userTyposcriptID.'" '.$userTyposcriptStyle.'>'.$deleteIconHTML.$p_field.$color.'</div>';
+					$constantEditRow = '<div class="typo3-tstemplate-ceditor-row" id="' . $userTyposcriptID . '" ' .
+									   $userTyposcriptStyle . '>' . $deleteIconHTML . $p_field . $color . '</div>';
 
-					$constantLabel = '<dt class="typo3-tstemplate-ceditor-label">'.htmlspecialchars($head).'</dt>';
+					$constantLabel = '<dt class="typo3-tstemplate-ceditor-label">' . htmlspecialchars($head) . '</dt>';
-					$constantName = '<dt class="typo3-dimmed">['.$params['name'].']</dt>';
+					$constantName = '<dt class="typo3-dimmed">[' . $params['name'] . ']</dt>';
-					$constantDescription = $body ? '<dd>'.htmlspecialchars($body).'</dd>' : '';
+					$constantDescription = $body ? '<dd>' . htmlspecialchars($body) . '</dd>' : '';
-					$constantData = '<dd>'.$constantCheckbox.$constantEditRow.$constantDefaultRow.'</dd>';
+					$constantData = '<dd>' . $constantCheckbox . $constantEditRow . $constantDefaultRow . '</dd>';
 
-					$output.='<a name="'.$raname.'"></a>'.$help['constants'][$params['name']];
+					$output .= '<a name="' . $raname . '"></a>' . $help['constants'][$params['name']];
-					$output.='<dl class="typo3-tstemplate-ceditor-constant">'.$constantLabel.$constantName.$constantDescription.$constantData.'</dl>';
+					$output .= '<dl class="typo3-tstemplate-ceditor-constant">' . $constantLabel . $constantName .
+							   $constantDescription . $constantData . '</dl>';
 				} else {
 					debug('Error. Constant did not exist. Should not happen.');
 				}
@@ -1400,16 +1473,6 @@
 	}
 
 
-
-
-
-
-
-
-
-
-
-
 	/***************************
 	 *
 	 * Processing input values
@@ -1420,12 +1483,13 @@
 	 * @param	[type]		$constants: ...
 	 * @return	[type]		...
 	 */
-	function ext_regObjectPositions($constants)	{
+	function ext_regObjectPositions($constants) {
-			// This runs through the lines of the constants-field of the active template and registers the constants-names and linepositions in an array, $this->objReg
+			// This runs through the lines of the constants-field of the active template and registers the constants-names
+			// and linepositions in an array, $this->objReg
-		$this->raw = explode(LF,$constants);
+		$this->raw = explode(LF, $constants);
-		$this->rawP=0;
+		$this->rawP = 0;
 
-		$this->objReg=array();		// resetting the objReg if the divider is found!!
+		$this->objReg = array(); // resetting the objReg if the divider is found!!
 		$this->ext_regObjects('');
 	}
 
@@ -1435,36 +1499,36 @@
 	 * @param	[type]		$pre: ...
 	 * @return	[type]		...
 	 */
-	function ext_regObjects($pre)	{
+	function ext_regObjects($pre) {
 			// works with regObjectPositions. "expands" the names of the TypoScript objects
-		while (isset($this->raw[$this->rawP]))	{
+		while (isset($this->raw[$this->rawP])) {
 			$line = ltrim($this->raw[$this->rawP]);
-			if (strstr($line,$this->edit_divider))	{
+			if (strstr($line, $this->edit_divider)) {
-				$this->objReg=array();		// resetting the objReg if the divider is found!!
+				$this->objReg = array(); // resetting the objReg if the divider is found!!
 			}
 			$this->rawP++;
-			if ($line)	{
+			if ($line) {
-				if (substr($line,0,1)=='[')	{
+				if (substr($line, 0, 1) == '[') {
-//					return $line;
+					//					return $line;
-				} elseif (strcspn($line,'}#/')!=0)	{
+				} elseif (strcspn($line, '}#/') != 0) {
-					$varL = strcspn($line,' {=<');
+					$varL = strcspn($line, ' {=<');
-					$var=substr($line,0,$varL);
+					$var = substr($line, 0, $varL);
-					$line = ltrim(substr($line,$varL));
+					$line = ltrim(substr($line, $varL));
-					switch(substr($line,0,1))	{
+					switch (substr($line, 0, 1)) {
 						case '=':
-							$this->objReg[$pre.$var]=$this->rawP-1;
+							$this->objReg[$pre . $var] = $this->rawP - 1;
 						break;
 						case '{':
 							$this->ext_inBrace++;
-							$this->ext_regObjects($pre.$var.'.');
+							$this->ext_regObjects($pre . $var . '.');
 						break;
 					}
-					$this->lastComment='';
+					$this->lastComment = '';
-				} elseif (substr($line,0,1)=='}')	{
+				} elseif (substr($line, 0, 1) == '}') {
-					$this->lastComment='';
+					$this->lastComment = '';
 					$this->ext_inBrace--;
-					if ($this->ext_inBrace<0)	{
+					if ($this->ext_inBrace < 0) {
-						$this->ext_inBrace=0;
+						$this->ext_inBrace = 0;
 					} else {
 						break;
 					}
@@ -1480,21 +1544,21 @@
 	 * @param	[type]		$var: ...
 	 * @return	[type]		...
 	 */
-	function ext_putValueInConf($key, $var)	{
+	function ext_putValueInConf($key, $var) {
 			// Puts the value $var to the TypoScript value $key in the current lines of the templates.
 			// If the $key is not found in the template constants field, a new line is inserted in the bottom.
-		$theValue = ' '.trim($var);
+		$theValue = ' ' . trim($var);
-		if (isset($this->objReg[$key]))	{
+		if (isset($this->objReg[$key])) {
 			$lineNum = $this->objReg[$key];
-			$parts = explode('=',$this->raw[$lineNum],2);
+			$parts = explode('=', $this->raw[$lineNum], 2);
-			if (count($parts)==2)	{
+			if (count($parts) == 2) {
-				$parts[1]= $theValue;
+				$parts[1] = $theValue;
 			}
-			$this->raw[$lineNum]=implode($parts,'=');
+			$this->raw[$lineNum] = implode($parts, '=');
 		} else {
-			$this->raw[]=$key.' ='.$theValue;
+			$this->raw[] = $key . ' =' . $theValue;
 		}
-		$this->changed=1;
+		$this->changed = 1;
 	}
 
 	/**
@@ -1503,13 +1567,13 @@
 	 * @param	[type]		$key: ...
 	 * @return	[type]		...
 	 */
-	function ext_removeValueInConf($key)	{
+	function ext_removeValueInConf($key) {
 			// Removes the value in the configuration
-		if (isset($this->objReg[$key]))	{
+		if (isset($this->objReg[$key])) {
 			$lineNum = $this->objReg[$key];
 			unset($this->raw[$lineNum]);
 		}
-		$this->changed=1;
+		$this->changed = 1;
 	}
 
 	/**
@@ -1519,22 +1583,22 @@
 	 * @param	[type]		$settings: ...
 	 * @return	[type]		...
 	 */
-	function ext_depthKeys($arr,$settings)	{
+	function ext_depthKeys($arr, $settings) {
-		$tsbrArray=array();
+		$tsbrArray = array();
 		foreach ($arr as $theK => $theV) {
-			$theKeyParts = explode('.',$theK);
+			$theKeyParts = explode('.', $theK);
-			$depth='';
+			$depth = '';
-			$c=count($theKeyParts);
+			$c = count($theKeyParts);
-			$a=0;
+			$a = 0;
 			foreach ($theKeyParts as $p) {
 				$a++;
-				$depth.=($depth?'.':'').$p;
+				$depth .= ($depth ? '.' : '') . $p;
-				$tsbrArray[$depth]= ($c==$a) ? $theV : 1;
+				$tsbrArray[$depth] = ($c == $a) ? $theV : 1;
 			}
 		}
 			// Modify settings
 		foreach ($tsbrArray as $theK => $theV) {
-			if ($theV)	{
+			if ($theV) {
 				$settings[$theK] = 1;
 			} else {
 				unset($settings[$theK]);
